API referenceTimeseries
POST /api/Timeseries/PostValues
Updates values of a specific timeseries based on the provided request parameters. Timeseries in ATLAS ETRM follow a date from convention where the date from is inclusive and the date to is exclusive. This means that in an hourly timeseries the value in timestamp 2022-01-01 00:00:00 refers to the time period between 2022-01-01 00:00:00 and 2022-01-01 01:00:00. If the passed timestamp includes an offset, the offset will be applied and the timezone parameter will be ignored.
POST
/api/Timeseries/PostValuescurl -X POST "/api/Timeseries/PostValues" \
-H "Authorization: $ATLAS_ETRM_API_DOCUMENTATION_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"data": {
"id": 1,
"timezone": 0,
"values": [
{
"timestamp": "2022-01-01T00:00:00Z",
"value": 5
},
{
"timestamp": "2022-01-01T01:00:00Z",
"value": 10
}
]
}
}'Authorization
AuthorizationstringheaderrequiredJWT Authorization header using the Bearer scheme. Enter your token including the 'Bearer ' prefix (e.g. 'Bearer eyJ...').
Body
application/json
dataEtrmApiGateway.DTOs.Timeseries.UpdateTimeseriesExternalRequest
Response
application/json
Returns true if the update was successful, otherwise false.
successbooleanerrorCodestring | nullerrorMessagestring | nullwarningMessagestring | nullinfoMessagestring | nullrecordCountinteger<int32>datainteger<int32>
{
"success": true,
"errorCode": "string",
"errorMessage": "string",
"warningMessage": "string",
"infoMessage": "string",
"recordCount": 0,
"data": 0
}